aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/scripts/check.sh
diff options
context:
space:
mode:
authorHsiangNianian <i@jyunko.cn>2025-05-25 02:46:35 +0800
committerHsiangNianian <i@jyunko.cn>2025-05-25 02:46:35 +0800
commit895b2a9175a960f33a9aa0d82a2355c2e7e30e15 (patch)
tree0876c1490145de88c28802f053a8ad64db26c662 /scripts/check.sh
parent63967be340581265306231da7a8f53e8b3628809 (diff)
downloadsoon-895b2a9175a960f33a9aa0d82a2355c2e7e30e15.tar.gz
soon-895b2a9175a960f33a9aa0d82a2355c2e7e30e15.zip
feat: Add check script to verify presence of PKGBUILD in recent commits
Diffstat (limited to 'scripts/check.sh')
-rw-r--r--scripts/check.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/check.sh b/scripts/check.sh
new file mode 100644
index 0000000..0b6f370
--- /dev/null
+++ b/scripts/check.sh
@@ -0,0 +1,4 @@
+for hash in $(git rev-list --max-count=10 HEAD); do
+ echo "Checking $hash..."
+ git ls-tree --name-only -r $hash | grep -q '^PKGBUILD$' || echo "❌ Missing PKGBUILD in $hash"
+done \ No newline at end of file